3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php php.version?>
Output for 4.3.0 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
Notice: Use of undefined constant php - assumed 'php' in /in/XB8Yp on line 1 Notice: Use of undefined constant version - assumed 'version' in /in/XB8Yp on line 1